//dynarray.h

#ifndef _DYNARRAY_
#define _DYNARRAY_

#include <stdio.h>
#include <stdarg.h>


template <class T>
static T **dynarray(int x, int y)
{
	T **object = (T**)calloc(y,sizeof(T*));
	for (int i=0;i<y;i++)
		object[i] = (T*)calloc(x,sizeof(T));
	return object;
}


template <class T>
static void dynfree(T **object, int x, int y)
{
	for (int i=x-1;i>=0;i--)
		free(object[i]);
	free(object);
}



#endif



