// errlog.h
// replaces ofstream err_log

#ifndef _ERRLOG_
#define _ERRLOG_

class LOGGER;
struct VARIABLE;

#include "main.h"
//#include <fstream>  // included in main.h

class LOGGER
{
public:
	LOGGER();
	virtual ~LOGGER();

	VARIABLE *STOLEN_DEBUG_LOG;

	bool always_active;
	
	void open(char *filename);
	void close(void);
	void flush(void);
	LOGGER& operator<<(char *str);
	LOGGER& operator<<(const char *str);
	//LOGGER &operator<<(ios_base &(*funcptr)(ios_base &));
	//LOGGER &operator<<(std::ostream &(*fn)(std::ostream &));
	LOGGER &operator<<(std::ostream &(*fn)(std::ostream &));
	LOGGER &operator<<(unsigned long i);
	LOGGER &operator<<(long i);
	LOGGER &operator<<(int i);
	LOGGER &operator<<(GLuint u);
	LOGGER &operator<<(float f);
	LOGGER &operator<<(double f);
	LOGGER &operator<<(void* ptr);
	LOGGER &operator<<(const unsigned char *u);

private:
	std::ofstream outstream;
};



#endif

