//extra.cpp

#include "main.h"


extern FRAME frame;
extern LOGGER err_log;


SPAWN_BOX::SPAWN_BOX()
{
	init();
}

void SPAWN_BOX::init()
{
	x0 = frame.config.get_float(VAR_SIM_X0);
	y0 = frame.config.get_float(VAR_SIM_Y0);
	z0 = frame.config.get_float(VAR_SIM_Z0);
	x1 = frame.config.get_float(VAR_SIM_X1);
	y1 = frame.config.get_float(VAR_SIM_Y1);
	z1 = frame.config.get_float(VAR_SIM_Z1);
}

void SPAWN_BOX::draw()
{
	glColor4f(1,0,0,.5f);

glBegin(GL_QUADS);
	glVertex3d(x1,y0,z1);
	glVertex3d(x1,y1,z1);
	glVertex3d(x0,y1,z1);
	glVertex3d(x0,y0,z1);

	glVertex3d(x0,y0,z0);
	glVertex3d(x0,y1,z0);
	glVertex3d(x1,y1,z0);
	glVertex3d(x1,y0,z0);
glEnd();

glBegin(GL_QUAD_STRIP);
	glVertex3d(x0,y0,z1);
	glVertex3d(x0,y0,z0);

	glVertex3d(x1,y0,z1);
	glVertex3d(x1,y0,z0);

	glVertex3d(x1,y1,z1);
	glVertex3d(x1,y1,z0);

	glVertex3d(x0,y1,z1);
	glVertex3d(x0,y1,z0);

	glVertex3d(x0,y0,z1);
	glVertex3d(x0,y0,z0);
glEnd();


glDisable(GL_DEPTH_TEST);

glLineWidth(3);
glColor4f(1,1,0,1);

glBegin(GL_LINE_LOOP);
	glVertex3d(x0,y0,z0);
	glVertex3d(x0,y1,z0);
	glVertex3d(x1,y1,z0);
	glVertex3d(x1,y0,z0);
glEnd();

glBegin(GL_LINE_LOOP);
	glVertex3d(x0,y0,z1);
	glVertex3d(x0,y1,z1);
	glVertex3d(x1,y1,z1);
	glVertex3d(x1,y0,z1);
glEnd();


glBegin(GL_LINES);
	glVertex3d(x0,y0,z0);
	glVertex3d(x0,y0,z1);

	glVertex3d(x1,y0,z0);
	glVertex3d(x1,y0,z1);

	glVertex3d(x1,y1,z0);
	glVertex3d(x1,y1,z1);

	glVertex3d(x0,y1,z0);
	glVertex3d(x0,y1,z1);
glEnd();

glLineWidth(1);
glEnable(GL_DEPTH_TEST);


}


EXTRA::EXTRA()
{
}







