//message.h

#ifndef _MESSAGE_
#define _MESSAGE_

#define MAX_MESSAGES		40
#define MAX_MESSAGE_LENGTH	128
#define MESSAGE_TTL			20

class MESSAGE
{
public:
	MESSAGE();
	char text[MAX_MESSAGE_LENGTH];
	float ttl;
	bool active;
};

class MESSAGES
{
public:
	MESSAGES(int new_font);
	void add(const char *fmt, ...);
	void step();
	void draw();

protected:
	MESSAGE list[MAX_MESSAGES];
	int index;

	int font;
	int height;
};

#endif