//residue.h

#ifndef _RESIDUE_
#define _RESIDUE_


#include "main.h"


#define RD_MOSS		.05
#define RD_RUST		.05
#define RD_DIRT		.05

#define RDB_MOSS	.001
#define RDB_RUST	.001
#define RDB_DIRT	.001


struct POLY;

struct RESIDUE
{
	RESIDUE();

	void land(POLY *poly, double *q);
	void receive(POLY *poly, double *q);
	void mark(POLY *poly, double *q);
	void mark(POLY *poly, double d, double *q);
	void reset();
	void fix();
	void interpolate(RESIDUE *r1, RESIDUE *r2, double f);

	int collisions;
	double offset[3];

	double dirt;
	double moss;
	double rust;

	//etc
};











#endif

