//trail.h

#ifndef _TRAIL_
#define _TRAIL_

#include "main.h"

class PHYS_OBJ;

struct TRAIL
{
	TRAIL();
	void zero_vars();


	float pos[3];

	bool is_active() {return active;}

	bool active;
};

class TRAIL_LIST : public LIST<TRAIL>
{
public:
	void add(float nx, float ny, float nz);

	void create(int new_max_length, PHYS_OBJ *new_source);
	void zero_vars();

	void draw();
	//might need to define its own drawing routine instead of default

	void set_color(float *c) {color[0]=c[0]; color[1]=c[1]; color[2]=c[2];}

protected:
	int skip_detail;
	int current_skip;
	float color[3];
	PHYS_OBJ *src;
};










#endif

