#ifndef MASK3D_H
#define MASK3D_H

#include <assert.h>

class Mask3D
{
    public:
	Mask3D();
	Mask3D(const char* file);
	~Mask3D();
	void recreate(const char* file);
	float val(int i, int j, int k) const;
	int mx() const;
	int my() const;
	int mz() const;

    protected:
	int sizeX, sizeY, sizeZ;
	int index(int i, int j, int k) const;
	int centerX, centerY, centerZ;

    private:
	float *c;
};
#endif
