//bitwise.cpp

#include "bitwise.h"


bool check_state(int state, int this_state)
{
	return ((state & this_state) != 0);
}
void set_state(int &state, int this_state)
{
	state |= this_state;
}
void clear_state(int &state, int this_state)
{
	state &= ~this_state;
}
void toggle_state(int &state, int this_state)
{
	if (check_state(state,this_state)) clear_state(state,this_state);
	else set_state(state,this_state);
}


