// errlog.cpp

#include "errlog.h"

extern FRAME frame;

/*

LOGGER::LOGGER()
{
	// don't need to do anything here?
}

LOGGER::~LOGGER()
{
	// should we make sure outstream is closed here?
}
	
void LOGGER::open(char *filename)
{
	// TODO: check if outstream is already open before opening it
#if ENABLE_LOGGING
	outstream.open(filename);
#endif
}

void LOGGER::close(void)
{
	// TODO: check if outstream is already closed before closing it
#if ENABLE_LOGGING
	outstream.close();
#endif
}

void LOGGER::flush(void)
{
	// TODO: check if outstream is open before flushing it
#if ENABLE_LOGGING
	outstream.flush();
#endif
}

LOGGER& LOGGER::operator<<(const char *str)
{
	// TODO: check if outstream is not open before outputting data
#if ENABLE_LOGGING
	outstream << str;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(char *str)
{
	// TODO: check if outstream is not open before outputting data
#if ENABLE_LOGGING
	outstream << str;
#endif
	return *this;
}

// This one's for endl and the like
LOGGER& LOGGER::operator<<(std::ostream &(*fn)(std::ostream &))
{
#if ENABLE_LOGGING
	outstream << *fn;
#endif;
	return *this;
}

// XXX - not sure if this one will work properly for all (any?) pointers
LOGGER& LOGGER::operator<<(void *ptr)
{
#if ENABLE_LOGGING
	outstream << ptr;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(int i)
{
#if ENABLE_LOGGING
	outstream << i;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(GLuint u)
{
#if ENABLE_LOGGING
	outstream << u;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(float f)
{
#if ENABLE_LOGGING
	outstream << f;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(double f)
{
#if ENABLE_LOGGING
	outstream << f;
#endif
	return *this;
}

LOGGER& LOGGER::operator<<(const unsigned char *u)
{
#if ENABLE_LOGGING
	outstream << u;
#endif
	return *this;
}

*/



LOGGER::LOGGER()
{
	always_active = true;
}

LOGGER::~LOGGER()
{
}
	
void LOGGER::open(char *filename)
{
	//WHY THE HELL NOT, PUT IT RIGHT HERE
	STOLEN_DEBUG_LOG = frame.config.steal_var(VAR_DEBUG_LOG);

	outstream.open(filename);
}

void LOGGER::close(void)
{
	outstream.close();
}

void LOGGER::flush(void)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value)	outstream.flush();
}

LOGGER& LOGGER::operator<<(const char *str)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << str;
	return *this;
}

LOGGER& LOGGER::operator<<(char *str)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << str;
	return *this;
}

// This one's for endl and the like
LOGGER& LOGGER::operator<<(std::ostream &(*fn)(std::ostream &))
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << *fn;
	return *this;
}

LOGGER& LOGGER::operator<<(void *ptr)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << ptr;
	return *this;
}

LOGGER& LOGGER::operator<<(unsigned long i)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << i;
	return *this;
}
LOGGER& LOGGER::operator<<(long i)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << i;
	return *this;
}

LOGGER& LOGGER::operator<<(int i)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << i;
	return *this;
}

LOGGER& LOGGER::operator<<(GLuint u)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << u;
	return *this;
}

LOGGER& LOGGER::operator<<(float f)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << f;
	return *this;
}

LOGGER& LOGGER::operator<<(double f)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << f;
	return *this;
}

LOGGER& LOGGER::operator<<(const unsigned char *u)
{
	if (always_active || STOLEN_DEBUG_LOG->b_value) outstream << u;
	return *this;
}








