//grid.h

#ifndef _GRID_
#define _GRID_

#define DEM_NULL		0
#define DEM_WIRE		1
#define DEM_SOLID		2


class GRID2D
{
public:
	GRID2D();

	void draw(double x, double y, double w, double h);
	void resize(int factor, double w);

protected:
	void draw_aux(double sx, double sy, double pix);
	double minor;
	double major;
};

class GRID
{
public:
	GRID();

	void draw();
	void cycle_which();

protected:
	int which;

	int display_list;

	void draw_axes();
	void draw_grid();
	void draw_extents();

	void create_grid();

	float ex;
	float ey;
	float ez;

	float spacing_x;
	float spacing_y;
	float spacing_z;

};






#endif
