//overlay.h

#ifndef _OVERLAY_
#define _OVERLAY_

#include "main.h"


#define MAX_ANNOUNCE_LENGTH	64
#define ANNOUNCE_TTL		5000
class ANNOUNCE
{
public:
	ANNOUNCE();

	void set(const char *fmt, ...);
	void draw();

protected:
	char text[MAX_ANNOUNCE_LENGTH];
	int age;
};

class OVERLAY
{
public:
	OVERLAY();
	~OVERLAY();
	void init();

	void draw();
	void draw_global();

	
	void set_wait_reason(char *reason);

	void show_calculating();
	void show_calculating(char *reason);
	void post_progress(float progress);

	ANNOUNCE announce;

protected:
	char prog_msg[128];
};








#endif

